getNew = (blog_id) ->
  $.get('/admin/blogs/' + blog_id + '/articles/new', (data) ->
    $('#editor').html(data)
    handlers()
    setActive()
  )

getAll = (blog_id, data) ->
  $.ajax({
    url: '/admin/blogs/' + blog_id + '/articles',
    type: 'GET',
    data: data,
    success: (data) ->
      $('#all').html(data)
      handlers()
      setActive()
  })

getEdit = (blog_id, id) ->
  $.get('/admin/blogs/' + blog_id + '/articles/' + id + '/edit', (data) ->
    $('#editor').html(data)
    handlers()
    setActive()
  )

submitForm = (form) ->
  values = $(form).serialize()
  $.ajax({
    type:     $(form).attr('method'),
    url:      $(form).attr('action'),
    data:     values,
    dataType: 'JSON',
    context:  form,
    error: ->
      console.log('post error')
    complete: ( data ) ->
      $(form).attr('method', data.responseJSON.method)
      $(form).attr('action', data.responseJSON.url)
      getAll(PageInfo.blog_id)
      setActive()
  })
  return false;

setActive = ->
  id = $("#editor form").attr('id')
  $("#list_" + id).addClass('light-active')
  $("#list_" + id).siblings().removeClass('light-active')


handlers = ->
  $("a[data-new]").unbind().click (e) ->
    e.preventDefault()
    blog_id = $(this).data('blog_id')
    getNew( PageInfo.blog_id )

  $("a[data-edit]").unbind().click (e) ->
    e.preventDefault()
    getEdit( PageInfo.blog_id, $(this).data('edit') )

  $("a[data-delete]").unbind().click (e) ->
    e.preventDefault()
    $.ajax({
      url: $(this).data('delete'),
      type: 'DELETE',
      complete: ->
        getAll(PageInfo.blog_id)
    })

  $('input[name=search]').change ->
    getAll(
      PageInfo.blog_id,
      { search: this.value }
    )

  $("#editor form :input").unbind().change ->
    submitForm( this.closest("form") )
    setActive()

  setActive()

$ ->
  getNew(PageInfo.blog_id)
  getAll(PageInfo.blog_id)
  handlers()
