updateOrder = ->
  $('.order').each( (i) ->
    $(this).val(i + 1)
  )

submitAll = ->
  counter = 0
  formLoop = ->
    submitForm( $('#main form')[counter], ->
      if counter < $('#main form').length - 1
        console.log counter, $('#main form').length
        counter++
        formLoop()
    )
  formLoop()

imageSelect = ->
  $("select[data-image]").change (e) ->
    val     = this.value
    imageId = $(this).data("image")
    $(this).parent().find('.fillUrl').val( val )
    $( imageId ).attr('src', val)

  $("input[data-reload]").change (e) ->
    imageId = $(this).data("reload")
    $( imageId ).attr('src', this.value)

submitForm = (form, actions) ->
  values  = $(form).serialize()
  $.ajax({
    type:     $(form).attr('method'),
    url:      $(form).attr('action'),
    data:     values,
    dataType: 'JSON',
    context:  form,
    error: ->
      console.log('post error')
    complete: ( data ) ->
      flashMessage('Submitted!')
      $(form).attr('method', data.responseJSON.method)
      $(form).attr('action', data.responseJSON.url)
      $(form).find('.deleteLink').attr('data-delete', data.responseJSON.id)
      if actions
        actions()
  })
  return false;

initialize = ->
  $("#main").sortable({
    items: '.sort',
    stop: (event, ui) ->
      updateOrder()
      setTimeout(submitAll(), 1000)
  })

  $('.sort').hover( ->
      $(this).find('.formHeader').fadeIn()
    , ->
      $(this).find('.formHeader').fadeOut()
    )

  $("#main form").unbind().change ->
    submitForm( $(this) )

  $("a[data-delete]").unbind().click (e) ->
    e.preventDefault()

    id = $(this).data("delete")
    if id == 'no'
      $(this).parent().parent().parent().remove()
    else
      $.ajax({
        type: 'DELETE',
        url:  '/admin/pages/-/blocks/' + id,
        dataType: 'JSON',
        context: this,
        complete: ( data ) ->
          $(this).parent().parent().parent().remove()
          flashMessage('Deleted!')
      })

  $("a[data-update]").unbind().click (e) ->
    e.preventDefault()
    submitForm( this.closest("form") )

  $("select[data-image]").change (e) ->
    val     = this.value
    imageId = $(this).data("image")
    console.log imageId
    $(this).parent().find('.fillUrl').val( val )
    $( imageId ).attr('src', val)

  $("select[data-url]").change (e) ->
    $(this).parent().find('.fillUrl').val( this.value )

  $("input[data-reload]").change (e) ->
    imageId = $(this).data("reload")
    $( imageId ).attr('src', this.value)

  initTextArea()
  showHiddenHover()

$ ->
  initialize()

  $("a[data-form]").unbind().click (e) ->
    e.preventDefault()
    newForm = $( $(this).data("form") ).clone()
    newForm.attr('id', 'newElement')
    newForm.appendTo("#main")
    updateOrder()
    initialize()
