module PagesCms
  class Admin::ArticlesController < Admin::AdminController

    def index
      @blog_id  = params[:blog_id]
      @articles = Blog.find(params[:blog_id]).articles.search(params[:search]).reverse_order
      render layout: false
    end

    def new
      @blog_id = params[:blog_id]
      @article = Article.new
      render layout: false
    end

    def edit
      @blog_id = params[:blog_id]
      @article = Article.find(params[:id])
      render layout: false
    end

    def create
      article = Blog.find(params[:blog_id]).articles.build(article_params)
      article.save!
      render json: { url: admin_blog_article_path(params[:blog_id], article), method: 'PUT' }.to_json
    end

    def update
      article = Article.find(params[:id])
      article.update!(article_params)
      render json: { url: admin_blog_article_path(params[:blog_id], article), method: 'PUT' }.to_json
    end

    def destroy
      art = Article.find_by(id: params[:id])
      art.destroy if art
      render json: { article: art }.to_json
    end

    private
    def article_params
      params.require(:article).permit!
    end

  end
end

