module PagesCms
  class Admin::BlocksController < Admin::AdminController

    def create
      page  = Page.find(params[:page_id])
      block = page.blocks.create(block_params)
      render json: send_url(page, block).to_json
    end

    def update
      page  = Page.find(params[:page_id])
      block = page.blocks.find(params[:id])
      block.update!(block_params)
      render json: send_url(page, block).to_json
    end

    def destroy
      Block.find(params[:id]).destroy
      head :no_content
    end

    private
    def block_params
      params.require(:block).permit!
    end

    def send_url(page, block)
      { url: admin_page_block_path(page, block), method: 'PUT', id: block.id }
    end

  end
end