module PagesCms
  class Admin::BlogsController < Admin::AdminController
    def show
      @blog = Blog.find(params[:id])
    end

    def create
      blog = Blog.new(blog_params)
      if blog.save
        flash[:success] = 'Blog created.'
        redirect_to admin_blog_path(blog)
      else
        flash[:danger] = "Error: #{blog.error.full_messages.to_sentence}"
        redirect_to :back
      end
    end

    def update
      blog = Blog.find(params[:id])
      if blog.update(blog_params)
        render json: {message: 'Blog Updated.'}
      else
        render json: {message: blog.errors.full_messages.to_sentence }
      end
    end

    def destroy
      Blog.find(params[:id]).destroy
      flash[:success] = 'Blog destroyed!'
      redirect_to :back
    end

    private
    def blog_params
      params.require(:blog).permit(:title, page_info: [:image, :title, :text])
    end

  end
end