module PagesCms
  class Admin::PagesController < Admin::AdminController
    def index
    end

    def show
      @page = Page.find(params[:id])
    end

    def create
      page = Page.new(page_params)
      if page.save
        redirect_to admin_page_path page
      else
        redirect_to :back
      end
    end

    def update
      page = Page.find(params[:id])
      if page.update(page_params)
        render json: {message: 'Page Updated.'}
      else
        render json: {message: page.errors.full_messages.to_sentence }
      end
    end

    def version_up
      page = Page.find(params[:page_id])
      if page.update(version: page.version ? page.version + 1 : 0)
        render json: {message: 'Page Published.'}
      else
        render json: {message: page.errors.full_messages.to_sentence }
      end
    end

    def preview
      @page = Page.find(params[:page_id])
      render layout: 'layouts/application'
    end

    def destroy
      Page.find(params[:id]).destroy
      flash[:success] = 'Page Deleted.'
      redirect_to :back
    end

    private
    def page_params
      params.require(:page).permit(:title, :parent_id, :home)
    end

  end
end