module PagesCms
  class ContactsController < ApplicationController

    def create
      contact = Contact.new(contact_params)
      if contact.save
        flash[:success] = 'Message sent.'
        redirect_to :back
      else
        flash[:danger] = "Failed to save: #{contact.error.full_messages.to_sentence}"
        redirect_to :back
      end
    end

    private
    def contact_params
      params.require(:contact).permit(:name, :email, :content)
    end

  end
end