module PagesCms
  module ApplicationHelper
    include PagesCmsHelpers

    def page_path(rec)
      "/#{rec.slug}"
    end

    def article_path(blog, article, params = {})
      "/blog/#{blog.slug}/article/#{article.to_param}#{"?#{params.to_query}" if params.present?}"
    end

    def blog_path(rec, params = {})
      "/blog/#{rec.slug}#{"?#{params.to_query}" if params.present?}"
    end

    def blocks
      %w[ heading subheading text image box card bighead smallhead contact ]
    end

    def tags(tags, blog)
      if tags.present?
        tags.map { |tag| link_to tag, blog_path(blog, tags: tag) }
      else
        []
      end
    end

    def active(slug)
      if slug == params[:action] or slug == params[:slug]
        'active'
      else
        ''
      end
    end

  end
end