module PagesCms
  module ViewinfoHelper

    def view_info
      begin
        {
          country:    request.location.country,
          city:       request.location.city,
          lat:        request.location.latitude,
          long:       request.location.longitude,
          ip:         request.remote_ip,
          controller: params[:controller],
          action:     params[:action],
          url:        request.env['REQUEST_PATH'],
          env:        Rails.env,
        }
      rescue Exception
        {
          country:    nil,
          city:       nil,
          lat:        nil,
          long:       nil,
          ip:         request.remote_ip,
          controller: params[:controller],
          action:     params[:action],
          url:        request.env['REQUEST_PATH'],
          env:        Rails.env
        }
      end
    end

  end
end