module PagesCms
  class Article < ActiveRecord::Base
    belongs_to :blog
    belongs_to :upload

    def to_param
      "#{id}-#{title.parameterize}"
    end

    # tagging
    def self.all_tags
      self.all.pluck(:tags).flatten.uniq
    end

    def tagging=(val)
      write_attribute(:tags, val.split(','))
    end

    scope :search, -> (search) do
      if search
        where('title ILIKE ? OR tags @> ARRAY[?]', "%#{search}%", "#{search}")
      else
        all
      end
    end

  end
end