module PagesCms
  class Blog < ActiveRecord::Base
    has_many :articles, dependent: :destroy

    validates :slug,  uniqueness: true
    before_validation :parameterize_slug

    validate :unique_on_blog_and_page

    private
    def parameterize_slug
      self.slug = title.parameterize
    end

    def unique_on_blog_and_page
      if Blog.where('title = ? AND id != ?', self.title, self.id).present? or Page.where('title = ? AND id != ?', self.title, self.id).present?
        errors.add(:base, 'Title must be unique.')
      end
    end

  end
end