module PagesCms
  class Upload < ActiveRecord::Base
    mount_uploader :upload, UploadsUploader

    before_save :add_category

    def self.images
      all.where(category: 'image')
    end
    def self.files
      all.where(category: 'file')
    end

    private
    def add_category
      if %w[jpg gif png tiff rif tiff].include? self.upload.file.filename.split('.')[1].downcase
        self.category = 'image'
      else
        self.category = 'file'
      end
    end

  end
end