PagesCms::Engine.routes.draw do

  namespace :admin do
    resources :uploads
    resources :contacts, only: [:destroy]
    resources :blogs do
      resources :articles
    end
    resources :pages do
      resources :blocks
      post  'version_up'  => 'pages#version_up'
      get   'preview'     => 'pages#preview'
    end

    get '/' => 'dashboard#index'
  end
  resources :viewinfo, only: [:create]
  resources :contacts, only: [:create]

  get     'login'   => 'sessions#new'
  post    'login'   => 'sessions#create'
  delete  'logout'  => 'sessions#destroy'

  get 'blog/:slug/article/:id'  => 'articles#show'
  get 'blog/:slug'              => 'pages#blog'
  get 'blog/'                   => 'pages#blog'
  get '*slug'                   => 'pages#show'
  root to: 'pages#home'

end
