class Initial < ActiveRecord::Migration
  def change
    create_table :pages_cms_pages do |t|
      t.string  :title
      t.string  :slug,      index: true
      t.integer :parent_id, index: true
      t.integer :order,     index: true
      t.integer :version,   default: 0
      t.boolean :draft
      t.boolean :home

      t.timestamps null: false
    end

    create_table :pages_cms_uploads do |t|
      t.string :name
      t.string :upload
      t.string :category

      t.timestamps null: false
    end

    create_table :pages_cms_blogs do |t|
      t.string  :title
      t.string  :slug, index: true
      t.boolean :draft
      t.json    :page_info, default: {}

      t.timestamps null: false
    end

    create_table :pages_cms_blocks do |t|
      t.integer  :page_id, index: true
      t.integer  :order,   index: true
      t.string   :ht_class
      t.string   :ht_id
      t.json     :content

      t.timestamps null: false
    end

    create_table :pages_cms_articles do |t|
      t.integer  :blog_id,   index: true, foreign_key: true
      t.string   :title
      t.string   :image
      t.text     :content
      t.text     :tags,   array: true, default: []

      t.timestamps null: false
    end

    create_table :pages_cms_views do |t|
      t.string :country
      t.string :city
      t.string :lat
      t.string :long
      t.string :controller
      t.string :action
      t.string :url
      t.string :env
      t.string :ip

      t.timestamps null: false
    end

    create_table :pages_cms_contacts do |t|
      t.string :name
      t.string :email
      t.text :content

      t.timestamps null: false
    end

    add_foreign_key :pages_cms_blocks,    :pages_cms_pages,  column: :page_id
    add_foreign_key :pages_cms_articles,  :pages_cms_blogs,  column: :blog_id
  end
end
